@font-face {
    font-display: swap;
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 400;
    src: url('../assets/fonts/oswald-v57-latin-regular.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'Oswald';
    font-style: normal;
    font-weight: 500;
    src: url('../assets/fonts/oswald-v57-latin-500.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'DM Mono';
    font-style: normal;
    font-weight: 300;
    src: url('../assets/fonts/dm-mono-v16-latin-300.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'DM Mono';
    font-style: normal;
    font-weight: 400;
    src: url('../assets/fonts/dm-mono-v16-latin-regular.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'DM Sans';
    font-style: normal;
    font-weight: 400;
    src: url('../assets/fonts/dm-sans-v17-latin-regular.woff2') format('woff2');
}

@font-face {
    font-display: swap;
    font-family: 'DM Sans';
    font-style: normal;
    font-weight: 700;
    src: url('../assets/fonts/dm-sans-v17-latin-700.woff2') format('woff2');
}

:root {
    /* Couleurs */
    --clr-accent: oklch(0.7535 0.1579 69.43);
    --clr-100: oklch(0.9746 0.0064 197.05);
    --clr-700: oklch(0.3353 0.032 195.73);
    --clr-700-rgb: 22, 39, 39;
    --clr-900: oklch(0.2579 0.0227 195.84);
    --clr-neutral: oklch(0.8853 0 0);
    /* Fonts */
    --ff: "DM Sans", sans-serif;
    --ff-mono: "DM Mono", monospace;
    --ff-title: "Oswald", sans-serif;
    /* Border-radius */
    --br: .25rem;
    --navwidth: 40vw;
    --headerwidth: 3rem;
}

#colorize feFlood {
    flood-color: hsl(180 28% 12.5%);
}

*, *::after, *::before {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

*:focus {
    outline-color: var(--clr-accent);
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: var(--ff);
    font-size: 1.125rem;
    background-color: var(--clr-100);
    color: var(--clr-900);
    line-height: 1.5;
    min-height: 200vh;
    &:has( #main-nav.open) {
        overflow: hidden;
    }
}

img, video, svg {
    display: block;
    max-width: 100%;
    height: auto;
}

:where(a) {
    color: var(--clr-accent);
}

::selection {
    background-color: var(--clr-accent);
    color: var(--clr-900);
}

.br {
    border-radius: var(--br);
}

.section-title {
    text-transform: uppercase;
    font-size: 3.25em;
    font-family: var(--ff-title);
    font-weight: 400;
    margin-bottom: 4rem;
    &:has(+.artistes-nav-txt) {
        margin-bottom: 0;
    }
}

.smaller-title {
    font-family: var(--ff-title);
    text-transform: uppercase;
    font-weight: normal;
    font-size: 2.5rem;
}

.auto-contrast {
    color: var(--clr-100);
    transition: color .2s ease-in-out;
    &.invert {
        color: var(--clr-700);
    }
}

.section {
    padding-block: 12rem;
    &.section-neutral {
        background-color: var(--clr-neutral);
    }
    &.section-700 {
        background-color: var(--clr-700);
        color: var(--clr-100);
    }
    &.section-900 {
        background-color: var(--clr-900);
        color: var(--clr-100);
    }
    & p, & ul {
        margin-bottom: 2.5rem;
        & a {
            text-decoration: none;
            color: currentColor;
            font-weight: bold;
            &:hover {
                color: var(--clr-accent);
            }
        }
        &:last-child {
            margin-bottom: 0;
        }
        & li {
            margin-bottom: 0.5rem;
        }
    }
    & ul.content-list, & ol.content-list {
        padding-left: 2rem;
        & i {
            font-size: .8em;
        }
        & li:not(:last-child) {
            margin-bottom: 0.75rem;
        }
    }
}

.hero+.section {
    padding-top: 5rem;
}

.inner {
    max-width: 120rem;
    width: 100%;
    padding-inline-end: min(6vw, 10rem);
    padding-inline-start: min(calc(var(--headerwidth) * 2 + 4vw), 10rem);
}

.flexcol-2 {
    gap: 3rem min(5rem, 4vw);
    display: flex;
    flex-wrap: wrap;
    &.aic {
        align-items: center;
    }
    &>*:nth-child(odd) {
        flex: 1.25 0 18.75rem;
    }
    &>*:nth-child(even) {
        flex: 1 0 15rem;
        &>img {
            width: 100%;
        }
    }
}

.bouton {
    --color: var(--clr-900);
    display: inline-block;
    width: max-content;
    appearance: none;
    background-color: transparent;
    text-decoration: none;
    font-family: var(--ff-title);
    text-transform: uppercase;
    font-weight: 500;
    border: 2px solid var(--color);
    color: var(--color);
    border-radius: var(--br);
    font-size: 1em;
    padding: .5rem 1.5rem;
    line-height: 1;
    overflow: hidden;
    position: relative;
    cursor: pointer;
    z-index: 1;
    transition: all .6s ease, border-color .25s;
    &::after {
        content: "";
        width: 0;
        aspect-ratio: 1;
        background-color: var(--clr-accent);
        position: absolute;
        top: 50%;
        left: 50%;
        translate: -50% -50%;
        z-index: -1;
        filter: blur(4px);
        opacity: 0;
        transition: all .65s ease, opacity .35s;
    }
    &.invert {
        --color: var(--clr-100);
    }
    &:hover {
        --color: var(--clr-900);
        border-color: var(--clr-accent);
        transition: all .4s ease;
        &::after {
            width: 200%;
            opacity: 1;
        }
    }
}

.skip-link {
    position: absolute;
    left: -999px;
}

.rdv-links {
    text-align: right;
}

.icon-links {
    display: flex;
    justify-content: end;
    align-items: center;
    gap: .5rem;
    margin-bottom: .75rem;
}

.icon-link {
    width: 2.5rem;
    width: clamp(2rem, 7vw, 2.5rem);
    color: var(--clr-900);
    transition: all .5s;
    &:hover {
        color: var(--clr-accent);
    }
}

/* NEEDLE SCROLL */
.needle {
    position: fixed;
    top: 0;
    left: 0;
    margin-left: -0.5rem;
    height: 100dvh;
    width: 1rem;
    pointer-events: none;
    z-index: 111;
    mix-blend-mode: difference;
    transition: all .4s;
    & svg {
        width: 100%;
        height: 100%;
    }
    & path {
        fill: none;
        stroke: var(--clr-100);
        stroke-width: 2;
        stroke-linecap: round;
    }
    &:has(~.open) {
        left: calc(var(--navwidth) + 1.5rem) !important;
    }
}

/* HEADER */
header {
    position: fixed;
    top: 0;
    left: 0;
    bottom: 0;
    padding: 1rem calc(var(--headerwidth) / 2);
    z-index: 99;
}

.inner-header {
    width: var(--headerwidth);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    height: 100%;
}

.mini-logo, .bouton-menu {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    display: block;
    background-color: transparent;
    border: none;
    margin-bottom: 1rem;
    cursor: pointer;
    & svg {
        width: 100%;
        margin: 0 auto;
    }
}

.mini-logo {
    margin-top: -5rem;
    transition: all .4s;
    &.show {
        margin-top: 0;
        margin-bottom: 1.5rem;
    }
}

.mini-logo svg {
    width: 80%;
}

.bouton-menu {
    transition: all .2s, width 0s;
    &[aria-expanded="true"] {
        scale: -1 1;
    }
    & path {
        transform-origin: right;
    }
    &:hover {
        & path:nth-child(2) {
            animation: menuBtn1 .6s forwards;
        }
        & path:nth-child(3) {
            animation: menuBtn2 .6s forwards;
        }
    }
}

@keyframes menuBtn1 {
    0% {
        rotate: 0deg;
        translate: 0 0;
        scale: 1;
        opacity: 1;
    }
    60%, 65% {
        rotate: 0deg;
        translate: -50% 0;
        scale: .25 1;
        opacity: 0;
    }
    67% {
        opacity: 0;
        translate: -50% 0;
        scale: .8 1;
    }
    90%, 100% {
        rotate: -45deg;
        translate: 0% -25%;
        scale: .8 1;
        opacity: 1;
    }
}

@keyframes menuBtn2 {
    0% {
        rotate: 0deg;
        translate: 0 0;
        scale: 1;
        opacity: 1;
    }
    60%, 65% {
        rotate: 0deg;
        translate: -50% 0;
        scale: .25 1;
        opacity: 0;
    }
    67% {
        scale: .8 1;
        translate: -50% 0;
        opacity: 0;
    }
    90%, 100% {
        rotate: 45deg;
        translate: -22% 14%;
        scale: .8 1;
        opacity: 1;
    }
}

.social-links {
    list-style-type: none;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    gap: 1.5rem;
}

.social-link {
    display: flex;
    gap: 1rem;
    text-decoration: none;
    align-items: center;
    justify-content: flex-start;
    font-family: var(--ff-mono);
    font-size: 1em;
    & svg {
        width: 2.5rem;
        margin-left: 0.25rem;
        flex-shrink: 0;
    }
    &:hover {
        color: var(--clr-accent);
    }
    & span {
        width: 0;
        opacity: 0;
        translate: -100% 0;
        overflow: hidden;
        transition: all .4s .2s;
    }
    &.navIsOpen {
        & span {
            width: auto;
            opacity: 1;
            translate: 0 0;
        }
    }
}

/* NAV */
#main-nav {
    position: fixed;
    bottom: 0;
    top: 0;
    left: 0;
    translate: -100vw 0;
    width: 100vw;
    z-index: 98;
    color: var(--clr-100);
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10dvh;
    background-color: rgba(0, 0, 0, .65);
    backdrop-filter: blur(7px);
    padding-right: calc(100vw - var(--navwidth));
    opacity: 0;
    transition: all .4s ease-in-out, opacity 0s .4s;
    &.open {
        opacity: 1;
        translate: 0;
        transition: all .4s ease-in-out;
        & .toggleNav {
            opacity: 1;
        }
    }
    &::after {
        content: "";
        position: absolute;
        top: 0;
        left: 0vw;
        width: var(--navwidth);
        height: 100dvh;
        background-color: var(--clr-700);
        box-shadow: 0 0 8rem #000;
        z-index: -2;
    }
    & .toggleNav {
        position: absolute;
        top: 1rem;
        right: 1rem;
        opacity: 0;
        transition: all .4s, opacity .3s .5s;
    }
    & address {
        display: flex;
        justify-content: flex-end;
        align-items: center;
        gap: 1rem;
        padding: 1rem 1.5rem;
        width: 100%;
        text-align: right;
        margin-top: auto;
    }
}

.top-nav {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    gap: 1rem;
    padding: 1rem 1.5rem;
    width: 100%;
}

.logo-nav {
    filter: invert(1);
    width: 19.5rem;
}

.nav-list {
    width: 100%;
    text-align: center;
    & .bouton {
        margin-left: auto;
        margin-right: auto;
    }
}

.nav-link {
    display: inline-block;
    color: var(--clr-100);
    text-transform: uppercase;
    font-family: var(--ff-title);
    letter-spacing: 0.25px;
    font-size: 1.125em;
    text-decoration: none;
    margin: 0.25rem 0;
    transition: all .2s;
    &.nav-link-isolated {
        margin: 2rem 0;
    }
    &:hover {
        color: var(--clr-accent);
    }
}

address {
    color: var(--clr-100);
    font-family: var(--ff-mono);
    font-size: .8em;
    font-style: normal;
    & a {
        text-decoration: none;
        color: var(--clr-100);
        transition: all .2s;
        &:hover {
            color: var(--clr-accent);
        }
    }
}

/* HERO */
.hero {
    height: 100dvh;
    min-height: 40rem;
    width: 100%;
    position: relative;
    overflow: hidden;
    background-color: var(--clr-700);
    text-align: right;
    & .inner {
        position: absolute;
        height: 100%;
        display: flex;
        flex-direction: column;
        align-items: end;
        justify-content: space-between;
        padding-block: 1rem;
        z-index: 10;
    }
    & video {
        width: 100%;
        height: 100%;
        position: absolute;
        object-fit: cover;
        object-position: center;
        z-index: 2;
    }
    &::after {
        content: "";
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        height: 10rem;
        background: linear-gradient(0deg, var(--clr-900) 0%, transparent 100%);
        z-index: 2;
    }
}

.video-base {
    mix-blend-mode: soft-light;
    filter: contrast(.5);
    opacity: 0.75;
}

.hero-mask.safari {
    mix-blend-mode: overlay;
    opacity: 1;
    & .video-mask {
        filter: blur(3px) invert(30%) sepia(7%) saturate(1800%) hue-rotate(128deg) brightness(54%) contrast(68%);
    }
}

.video-mask {
    filter: url(#colorize) blur(2px);
    animation: videoAnim 25s 5s ease forwards;
    z-index: 3;
}

@keyframes videoAnim {
    100% {
        scale: 1.4;
    }
}

.logo-video {
    max-width: 85%;
    position: absolute;
    top: 50%;
    left: 50%;
    translate: -50% -50%;
    filter: invert(1);
    width: 20rem;
    opacity: 0;
    animation: logoVideo 3s 7s ease-in-out forwards;
}

@keyframes logoVideo {
    to {
        opacity: 1;
        width: max(22rem, min(30rem, 50%));
    }
}

.down-link {
    position: absolute;
    bottom: 1.5rem;
    left: 50%;
    transform: translateX(-50%);
    width: 1.825rem;
    opacity: 0;
    translate: 0 -75%;
    color: var(--clr-100);
    animation: fadeInTop 1.25s 1s forwards ease-in-out;
    transition: all .4s;
    & polygon {
        color: var(--clr-100);
        opacity: 0;
        translate: 0 -15%;
        transition: all .4s;
    }
    &:hover {
        color: var(--clr-accent);
        transform: translateY(.5rem) translateX(-50%);
        padding-top: 0.5rem;
    }
}

.top-link {
    position: fixed;
    bottom: 1.5rem;
    right: 1rem;
    width: 1.825rem;
    scale: 1 -1;
    padding-top: 0rem;
    animation: hide .5s forwards ease-in-out;
    transition: all .4s;
    &.show {
        opacity: 0;
        translate: 0 75%;
        animation: fadeInBottom 1s forwards ease-in-out;
    }
    &:hover {
        color: var(--clr-accent);
        padding-top: .5rem;
    }
}

@keyframes fadeInTop {
    100% {
        opacity: 1;
        translate: 0 0%;
    }
}

@keyframes fadeInBottom {
    100% {
        opacity: 1;
        translate: 0 0%;
    }
}

@keyframes hide {
    100% {
        opacity: 0;
        translate: 0 75%;
    }
}

/* ARTISTES */
.artistes-container {
    position: relative;
    display: grid;
    place-items: start;
}

.artistes-nav {
    position: absolute;
    right: -5vw;
    top: 50%;
    translate: 0 -50%;
    z-index: 9;
    & ul {
        list-style-type: none;
    }
    & a {
        text-decoration: none;
        font-family: var(--ff-mono);
        color: var(--clr-900) !important;
        font-size: 1rem;
        display: flex;
        justify-content: end;
        gap: .75rem;
        transition: all .4s;
        &:hover {
            color: var(--clr-900);
            padding-right: .25rem;
            & .nom-artiste {
                max-width: 20rem;
                padding: .25rem 0.5rem;
            }
        }
        &.active {
            padding-right: 1rem;
            & .puce {
                background-color: var(--clr-accent);
            }
        }
    }
    & .puce {
        width: 1.5rem;
        height: 1.5rem;
        border-radius: 50%;
        display: block;
        background-color: var(--clr-900);
        transition: all .4s;
    }
    & .nom-artiste {
        display: block;
        background-color: var(--clr-neutral);
        border-radius: var(--br);
        padding: .25rem 0rem;
        font-weight: lighter;
        line-height: 1;
        white-space: nowrap;
        max-width: 0rem;
        overflow: hidden;
        transition: all .8s;
    }
}

.artiste {
    grid-area: 1/1;
    opacity: 1;
    width: 100%;
    pointer-events: all;
    transition: all 1s;
    &:not(.active), &[hidden] {
        opacity: 0;
        pointer-events: none;
        z-index: -2;
    }
    &.active .artiste-art {
        opacity: 0;
        animation: fadeInTop .5s forwards;
    }
}

.artiste-infos {
    display: flex;
    justify-content: start;
    align-items: center;
    gap: min(4vw, 3rem);
    font-family: var(--ff-mono);
    font-size: .85em;
    margin-bottom: min(4vw, 3rem);
    & img {
        width: 16rem;
        aspect-ratio: 1;
        object-fit: cover;
        object-position: center;
        border-radius: 50%;
        max-width: 30%;
        & + div {
            flex-grow: 1;
        }
    }
    & p {
        margin-top: min(2vw, 2rem);
    }
}

.artiste-name {
    font-family: var(--ff-title);
    text-transform: uppercase;
    font-weight: 500;
    font-size: 3em;
    line-height: 1;
    margin-bottom: .5rem;
}

.artiste-det {
    display: flex;
    justify-content: space-between;
    align-items: start;
    gap: .25rem 1rem;
    flex-wrap: wrap;
}

.ig-handle {
    text-decoration: none;
    color: var(--clr-900);
    &:hover {
        color: var(--clr-accent);
    }
}

.artiste-art {
    display: grid;
    gap: min(2vw, 1.5rem);
    grid-template-columns: repeat(4, 1fr);
    & a {
        border-radius: var(--br);
        overflow: hidden;
        background-color: var(--clr-900);
        position: relative;
        &:nth-child(even) {
            translate: 0 min(4vw, 2.5rem);
        }
        &::after {
            content: "Voir sur Instagram";
            color: var(--clr-100);
            font-family: var(--ff-mono);
            font-size: .8em;
            position: absolute;
            left: 0;
            width: 100%;
            bottom: 0rem;
            text-align: center;
            translate: 0 150%;
            transition: all .4s;
        }
        & img {
            width: 100%;
            aspect-ratio: 2/3.5;
            object-fit: cover;
            object-position: center;
            transition: all .5s;
        }
        &:hover {
            & img {
                opacity: 0.25;
            }
            &::after {
                bottom: 1rem;
                translate: 0 0;
            }
        }
    }
}

.artistes-nav-txt {
    margin-bottom: 4rem;
    & .tablist {
        display: flex;
        align-items: center;
        flex-wrap: wrap;
        justify-content: start;
        gap: 1rem;
        list-style-type: none;
        padding: 0;
        position: relative;
        &::after {
            content: "";
            position: absolute;
            top: var(--active-t);
            left: var(--active-l);
            width: var(--active-w);
            background-color: var(--clr-neutral);
            height: var(--active-h);
            border-radius: var(--br);
            transition: all .4s;
            z-index: -1;
        }
        & li {
            margin-bottom: 0;
        }
        & button {
            -webkit-appearance: none;
            appearance: none;
            border: none;
            background-color: transparent;
            color: var(--clr-700);
            font-family: var(--ff-mono);
            font-weight: lighter;
            padding: 0.25rem 0.5rem;
            position: relative;
            display: inline-block;
            line-height: 1;
            font-size: 1rem;
            cursor: pointer;
            z-index: 2;
            &.active {
                color: var(--clr-900) !important;
            }
        }
    }
}

/* FOOTER */
footer {
    background-color: var(--clr-900);
    color: var(--clr-100);
    padding-bottom: 2rem;
    & address {
        font-family: var(--ff);
        font-size: .9em;
    }
}

.carte {
    translate: 0 -3rem;
    overflow: hidden;
    width: 100%;
    height: 20rem;
    position: relative;
    border-radius: var(--br);
    margin-bottom: 3rem;
    &::after {
        content: "";
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        position: absolute;
        z-index: 2;
        background-color: var(--clr-700);
        opacity: 1;
        mix-blend-mode: hard-light;
    }
    & iframe {
        position: absolute;
        top: 50%;
        left: 50%;
        width: 250%;
        height: 250%;
        translate: -50% -50%;
        filter: grayscale(1);
    }
    & .marker {
        color: var(--clr-accent);
        width: 2.25rem;
        position: absolute;
        z-index: 3;
        top: 50%;
        left: 50%;
        translate: -56% -94%;
        stroke-width: 1.25rem;
        stroke: #407473;
    }
    & .bouton {
        position: absolute;
        bottom: 1rem;
        right: 1rem;
        z-index: 5;
    }
}

.copy {
    font-size: .8em;
    margin-top: 5rem;
    color: var(--clr-neutral);
    & a {
        color: currentColor;
        text-decoration: none;
        font-weight: bold;
        &:hover {
            color: var(--clr-accent);
        }
    }
}

.footer-title {
    display: flex;
    justify-content: space-between;
    gap: 1rem;
    flex-wrap: wrap;
    align-items: center;
    margin-bottom: 2rem;
    max-width: 30rem;
    & .icon-links {
        margin-bottom: 0;
    }
    & .icon-link {
        color: var(--clr-100);
        &:hover {
            color: var(--clr-accent);
        }
    }
}

/* RESPONSIVE */

@media screen and (max-width:90rem) {
    /* 1440 */
}

@media screen and (max-width:85.375rem) {
    /* 1366 */
}

@media screen and (max-width:75rem) {
    /* 1200 */
    :root {
        --navwidth: 50vw;
    }
    body {
        font-size: 1rem;
    }
}

@media screen and (max-width:64rem) {
    /* 1024 */
    .artistes-nav {
        right: -4vw;
        & a {
            flex-direction: column;
            &.active {
                padding-right: 0;
                translate: 0 0;
            }
            &:hover {
                padding-right: 0;
                &:not(.active) .puce {
                    background-color: var(--clr-700);
                }
            }
            & .puce {
                width: .75rem;
                height: .75rem;
            }
        }
        & .nom-artiste {
            display: none;
        }
    }
}

@media screen and (max-width:48rem) {
    /* 768 */
    :root {
        --headerwidth: 1vw;
        --navheight: 85%;
    }
    #main-nav {
        translate: 0 0;
        padding-top: 15dvh;
        padding-right: 0;
        opacity: 0;
        pointer-events: none;
        transition: opacity .4s;
        &::after {
            box-shadow: none;
            width: 100%;
            height: var(--navheight);
            translate: 0 -100%;
            transition: all .8s .3s ease;
        }
        & .toggleNav {
            top: auto;
            bottom: 1rem;
        }
        & address {
            margin-top: 0;
            position: absolute;
            top: var(--navheight);
            right: 0;
            translate: 0 -100%;
            justify-content: start;
            width: max-content;
            padding: 2rem 1rem;
        }
        &>* {
            opacity: 0;
            transition: opacity .4s;
        }
        &.open {
            opacity: 1;
            pointer-events: all;
            &::after {
                translate: 0;
            }
            &>* {
                opacity: 1;
                transition: opacity .5s .9s;
            }
        }
    }
    .top-nav {
        position: absolute;
        top: var(--navheight);
        left: 0;
        translate: 0 -100%;
        justify-content: start;
        width: max-content;
        padding: 2rem 1rem;
    }
    .needle {
        left: 0 !important;
        transform-origin: top;
        rotate: -90deg;
        height: 100% !important;
        mix-blend-mode: normal;
        opacity: 0;
        top: auto;
        bottom: -100%;
        & path {
            stroke-dasharray: 1000 !important;
            stroke-dashoffset: 0 !important;
        }
        &:has(~.open) {
            opacity: 1;
            left: 0 !important;
            bottom: calc(-100% + 4.25rem);
            transition: all 1s !important;
        }
    }
    header {
        bottom: auto;
        right: 0;
        padding-left: 0;
        padding-right: 0;
        pointer-events: none;
    }
    .inner-header {
        width: 100%;
        flex-direction: row;
        padding-inline-end: 1rem;
        padding-inline-start: 1rem;
        &>div:first-child {
            display: flex;
            gap: 1rem;
            &>* {
                width: 2.5rem;
            }
        }
        & > * {
            pointer-events: all;
        }
    }
    .mini-logo {
        display: none;
    }
    .social-links {
        align-items: end;
    }
    .social-link {
        flex-direction: row-reverse;
        gap: .5rem;
        font-size: .9em;
        & svg {
            width: 2.125rem;
        }
    }
    .hero {
        & .inner {
            align-items: center;
            justify-content: end;
            text-align: center;
            gap: 1.5rem;
            padding-bottom: 6.5rem;
        }
    }
    .down-link {
        animation: fadeInTop 1s .25s forwards ease-in-out;
    }
    .logo-video {
        translate: -50% -75%;
        animation: logoVideo 3s .75s ease-in-out forwards;
    }
    .section-title {
        font-size: 2.625em;
    }
    .artiste-name {
        margin-bottom: 0;
        font-size: 2.5em;
    }
    .footer-title {
        max-width: 100%;
    }
    .auto-contrast {
        --clr-stroke: rgba(22, 39, 39, .25);
        & svg {
            filter: drop-shadow(1px 1px var(--clr-stroke)) drop-shadow(1px -1px var(--clr-stroke)) drop-shadow(-1px 1px var(--clr-stroke)) drop-shadow(-1px -1px var(--clr-stroke));
        }
        &.invert {
            --clr-stroke: rgba(255, 255, 255, .25);
        }
    }
    .hero-mask {
        display: none;
    }
}

@media screen and (max-width:30rem) {
    /* 480 */
    header {
        padding-top: 0.5rem;
        padding-bottom: 0;
    }
    .inner-header {
        padding-inline-end: .5rem;
        padding-inline-start: .5rem;
    }
    #main-nav {
        & .toggleNav {
            bottom: 0.5rem;
            right: 0.5rem;
        }
    }
    .top-link {
        right: 0.5rem;
    }
    .section-title {
        margin-bottom: 2rem;
        font-size: 2.5em;
    }
    .section {
        padding-block: 5rem;
        & p, & ul {
            margin-bottom: 1.75rem;
        }
    }
    .carte {
        margin-bottom: 0;
    }
    .artistes-nav-txt {
        & ul {
            gap: .5rem;
        }
    }
    .artistes-nav {
        display: none;
    }
    .inner {
        padding-inline-end: 1rem;
        padding-inline-start: 1rem;
    }
    .social-links {
        gap: 1rem;
    }
}

@media screen and (max-height:46rem) and (min-width:48rem) {
    :root {
        --navwidth: min(53rem, 65vw);
    }
    header {
        padding-top: 0.5rem;
        padding-bottom: 0.5rem;
    }
    #main-nav {
        gap: 0;
        overflow: auto;
        & address, & .nav-list {
            background-color: var(--clr-700);
        }
        & .nav-list {
            padding-bottom: 1rem;
            margin-top: 1rem;
        }
        & .toggleNav {
            top: 0.5rem;
            right: 0.5rem;
        }
    }
    .top-nav {
        padding-bottom: 0;
        padding: 0.5rem .5rem;
    }
    .logo-nav {
        width: 14rem;
    }
    .social-links {
        gap: 1rem;
    }
    .hero {
        & .inner {
            padding-block: .5rem;
        }
    }
}

@media screen and (max-width:24.375rem), screen and (max-height:48rem) and (max-width:48rem) {
    :root {
        --navheight: 100%;
    }
    .flexcol-2 {
        &>*:nth-child(odd) {
            flex: 1 0 100%;
        }
        &>*:nth-child(even) {
            flex: 1 0 100%;
        }
    }
    header {
        padding-top: 0.5rem;
        padding-bottom: 0;
    }
    .inner-header {
        width: 100%;
        flex-direction: row;
        padding-inline-end: .5rem;
        padding-inline-start: .5rem;
    }
    .social-links {
        gap: .75rem;
    }
    .logo-nav {
        width: 14rem;
        margin-bottom: 2rem;
    }
    #main-nav {
        padding-bottom: 0.5rem;
        padding-top: 6.5rem;
        gap: .5rem;
        overflow: auto;
        &.open {
            background-color: var(--clr-700);
            transition: all .4s ease-in-out, background-color .4s .4s;
        }
        & address {
            position: relative;
            translate: 0 0;
            justify-content: center;
            width: 100%;
            text-align: center;
            top: auto;
            padding: 1rem 0;
        }
        & .toggleNav {
            margin-left: auto;
            margin-top: 1rem;
            position: relative;
            right: 0.5rem;
            overflow: visible;
        }
    }
    .top-nav {
        position: relative;
        width: 100%;
        translate: 0 0;
        top: 0;
        justify-content: center;
        padding: 0;
    }
    .needle {
        scale: 1 5;
        &:has(~.open) {
            bottom: calc(-100% + 0.5rem);
        }
    }
}

@media screen and (max-width:22.5rem) {
    /* 360 */
}
